### Function

# EDataServer util_safe_free_string

since: 3.16

#### Declaration [src]

    void
    e_util_safe_free_string (
      gchar* str
    )

#### Description [src]

Calls `g_free()` on `string`, but before it rewrites its content with zeros. This is suitable to free strings with passwords.

Available since: 3.16

#### Parameters

`str`

  Type: `gchar*`

  A string to free.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.